package com.alpha.lagouapk.bridge

import android.app.Activity
import android.graphics.Bitmap
import com.common.manager.AppUtilsManager
import com.common.manager.db.CommonDbManager
import com.lagou.baselib.privacy.KEY_STORE_PHOTO_BC_SAVE
import com.lagou.baselib.privacy.checkPrivacy
import com.lagou.commonlibs.bridge.IBridge
import com.lagou.commonlibs.inter.SavePictureListener
import com.lagou.commonlibs.privacy.AdapterPrivacyRightListener
import com.lagou.commonlibs.privacy.PrivacyPermissionKey
import com.lagou.commonlibs.utils.BitmapUtils

class CommonBridgeExecutor:IBridge {

    override fun checkSceneRights(
        context: Activity,
        bitmap: Bitmap,
        fileName: String?,
        listener: SavePictureListener?,
        sceneRightsKey: String
    ) {
        checkPrivacy(context, arrayListOf(sceneRightsKey), object : AdapterPrivacyRightListener() {
            override fun onAgreeRight() {
               BitmapUtils.onBitmapSaveToGalleryAgree(context,bitmap,fileName,listener)
            }
        }, PrivacyPermissionKey.EXTERNAL_STORAGE)
    }

    override fun getCommonSavePicToGalleryKey() = KEY_STORE_PHOTO_BC_SAVE

    override fun isGrayMode(): Boolean {
        return if (CommonDbManager.getInstance().commonConfig != null) {
            CommonDbManager.getInstance().commonConfig.isGrayMode
        } else false
    }

    override fun clearCache(e: Exception) {
        AppUtilsManager.clearCacheSituation(e)
    }
}