package com.alpha.lagouapk.ui.company.bigcompany.widget

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.widget.LinearLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.BigCompanyPageBean
import com.alpha.lagouapk.bean.CompanyListBean
import kotlinx.android.synthetic.main.layout_big_company_loading.view.*

/**
 * 大公司主页渐进式加载
 * @author :  Alfred
 * @date   : 2019-07-12 17:54
 *
 */
class ViewBigCompanyPageLoadingLayout(context: Context, attr: AttributeSet? = null) : LinearLayout(context, attr) {

    init {
        LayoutInflater.from(context).inflate(R.layout.layout_big_company_loading, this)
        orientation = VERTICAL
    }

    fun initView(bean: CompanyListBean.CompanyMsgVosBean?) {
        if (visibility != View.VISIBLE) {
            visibility = View.VISIBLE
        }
        if (bean == null) {
            mLayoutCompanyInfo.visibility = View.GONE
            mIvCompanyInfo.visibility = View.VISIBLE
        } else {
            mLayoutCompanyInfo.bindData(adapterBean(bean))
            mLayoutCompanyInfo.visibility = View.VISIBLE
            mIvCompanyInfo.visibility = View.GONE
        }
    }

    private fun adapterBean(bean: CompanyListBean.CompanyMsgVosBean): BigCompanyPageBean {
        val bigCompanyPageBean = BigCompanyPageBean()
        bigCompanyPageBean.companyShortName = bean.companyShortName
        bigCompanyPageBean.companyLogo = bean.companyLogo
        bigCompanyPageBean.companyCity = bean.city
        bigCompanyPageBean.financeStage = bean.fundsStage
        bigCompanyPageBean.companySize = bean.scale
        bigCompanyPageBean.industryField = bean.industry
        return bigCompanyPageBean
    }

}