package com.alpha.lagouapk.ui.home.promotion

import android.content.Context
import android.text.TextUtils
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.FrameLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.PositionInfo
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.utils.DataServer
import kotlinx.android.synthetic.main.layout_promotion_position_normal_view.view.*

/**
 * Author: ryan.lei
 * Date: 2022/1/10 19:46
 * Description:
 */
class PromotionPositionNormalView : FrameLayout {
   private var viewWidth : Int = 0
    constructor(context: Context) : this(context, null)
    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)
    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(
        context,
        attrs,
        defStyleAttr
    ) {
        LayoutInflater.from(context).inflate(R.layout.layout_promotion_position_normal_view, this)
        viewWidth = DeviceUtils.getScreenWidth() / 2 - ResourceUtils.getDimenSize(R.dimen.dp_7)
    }

    fun setData(bean: PositionInfo?) {
        if (bean == null) {
            return
        }
        context?.let {
            tvNormalCardPositionName.text = bean.pd_positionName
            tvNormalCardPositionSalary.text =
                DataServer.getSalaryText(bean.pd_salary, bean.pd_salaryMonth)
            flNormalCardPositionLabel.labels = bean.pd_positionLabels
            ivNormalCardCompanyName.text = bean.pd_companyName
            tvNormalCardCompanySize.text = bean.pd_companySize
            tvNormalCardLocation.text = bean.pd_positionLocation
            if (TextUtils.isEmpty(bean.pd_companySize)
                || TextUtils.isEmpty(bean.pd_positionLocation)
            ) {
                tvNormalCardDivideLine.visibility = GONE
            } else {
                tvNormalCardDivideLine.visibility = VISIBLE
            }
        }
    }

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure( MeasureSpec.makeMeasureSpec(viewWidth,MeasureSpec.EXACTLY),heightMeasureSpec)
    }
}