package com.alpha.lagouapk.ui.login.guidePerfect

import android.content.DialogInterface
import android.os.Bundle
import android.view.KeyEvent
import android.view.WindowManager
import com.alpha.lagouapk.R
import com.alpha.lagouapk.UserRoleManager
import com.alpha.lagouapk.bean.ResumeBaseInfo
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import kotlinx.android.synthetic.main.layout_c_select_identity.*

/**
 * C端选择身份页，学生or职场人士
 */
class SelectCUserIdentityDialog : BaseBottomSheetDialogFragment() {
    companion object {
        fun newInstance(): SelectCUserIdentityDialog {
            return SelectCUserIdentityDialog()
        }
    }

    override fun getLayoutId(): Int = R.layout.layout_c_select_identity

    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        dialog?.setCanceledOnTouchOutside(false)
        dialog?.setOnKeyListener { dialog, keyCode, event ->
            if (keyCode == KeyEvent.KEYCODE_BACK) {
                //此处捕获back操作，如果不希望所在的Activity监听到back键，需要返回true，消费掉。
                dismiss()
                //直接关闭弹窗恢复身份
                UserRoleManager.getInstance().recoverIdentity(true)
                true
            } else {
                //这里注意当不是返回键时需将事件扩散，否则无法处理其他点击事件
                false
            }
        }
    }

    override fun getWidth(): Int {
        return WindowManager.LayoutParams.MATCH_PARENT
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        mIvClose.setOnClickListener {
            dismiss()
            //直接关闭弹窗恢复身份
            UserRoleManager.getInstance().recoverIdentity(true)
        }
        mRlStudentIdentity.setOnClickListener {
            onIdentitySelectListener?.onCUserIdentitySelect(ResumeBaseInfo.STUDENT_INT)
            dismiss()
        }
        mRlWorkerIdentity.setOnClickListener {
            onIdentitySelectListener?.onCUserIdentitySelect(ResumeBaseInfo.WORKER_INT)
            dismiss()
        }
    }

    override fun initListener() {
        super.initListener()
//        mIvClose.setOnClickListener { dismiss() }
//        mRlStudentIdentity.setOnClickListener {
//            onIdentitySelectListener?.onCUserIdentitySelect(LagouConstant.C_USER_IDENTITY.STUDENT)
//            dismiss()
//        }
//        mRlWorkerIdentity.setOnClickListener {
//            onIdentitySelectListener?.onCUserIdentitySelect(LagouConstant.C_USER_IDENTITY.WORKER)
//            dismiss()
//        }
    }

    private var onIdentitySelectListener: OnCUserIdentitySelectListener? = null
    fun setOnCUserIdentitySelectListener(listener: OnCUserIdentitySelectListener): SelectCUserIdentityDialog {
        this.onIdentitySelectListener = listener
        return this
    }

    interface OnCUserIdentitySelectListener {
        fun onCUserIdentitySelect(identity: Int)
    }
}