package com.alpha.lagouapk.ui.login.guidePerfect

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.ui.login.bean.PositionTypeAndTagsBean
import com.common.inter.OnItemClickListener
import com.lagou.commonlibs.utils.StringUtil
import com.lagou.component.ui.labelview.LgFlowLayout
import kotlinx.android.synthetic.main.item_select_position_types_tags.view.*

/**
 * 展示职位名称、职位三级类、标签
 */
class SelectPositionAndTagsAdapter(val context:Context):RecyclerView.Adapter<SelectPositionAndTagsAdapter.MViewHolder>() {
    private var data:List<PositionTypeAndTagsBean>? = null
    private var keyword:String? = null
    fun setData(keyword:String? ,data:List<PositionTypeAndTagsBean>?){
        this.data = data
        this.keyword = keyword
        notifyDataSetChanged()
    }
    override fun onCreateViewHolder(parent: ViewGroup, p1: Int): MViewHolder {
        return MViewHolder(LayoutInflater.from(context).inflate(R.layout.item_select_position_types_tags,parent,false))
    }

    override fun onBindViewHolder(holder: MViewHolder, position: Int) {
        val bean = data?.get(position)
        holder.updateView(keyword,bean)
        holder.itemView.setOnClickListener {
            onItemClickListener?.onItemClickListener(
                holder.itemView,
                bean = bean
            )
        }
    }

    override fun getItemCount(): Int = data?.size ?: 0

    class MViewHolder(itemView: View):RecyclerView.ViewHolder(itemView){
        val tvPositionName: TextView = itemView.tvPositionName
        val tvPositionType: TextView = itemView.tvPositionType
        val flLabel: LgFlowLayout = itemView.flLabel

        fun updateView(keyword: String?,bean:PositionTypeAndTagsBean?){
            if (bean == null){
                return
            }
            tvPositionName.text = bean.positionName
            bean.expectJobInfo?.let { expectInfo ->
                tvPositionType.text = StringUtil.jointString("-",expectInfo.newPositionName1,expectInfo.newPositionName2,expectInfo.newPositionName3)
                val tagNames = expectInfo.tagCodes?.asSequence()?.filterNotNull()?.filterIndexed { index, _ -> index < 3 }?.map { it.name }?.toList()
                flLabel.labels = tagNames
            }
            StringUtil.highlightKeyWord(tvPositionName,keyword)
        }
    }
    private var onItemClickListener:OnItemClickListener<PositionTypeAndTagsBean>? = null
    fun setOnItemClickListener(listener: OnItemClickListener<PositionTypeAndTagsBean>){
        this.onItemClickListener = listener
    }
}