package com.alpha.lagouapk.ui.login.guidePerfect
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.ApiService
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.alpha.lagouapk.ui.login.bean.PositionTypeAndTagsBean
import com.alpha.lagouapk.widget.decoration.DividerItemDecoration
import com.common.afterTextChanged
import com.common.inter.OnItemClickListener
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.utils.ToastUtil
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse
import kotlinx.android.synthetic.main.activity_select_position_tags.*

/**
 * 选择职位三级类和标签
 * 展示样式如下
 * 职位名称
 * 一级类-二级类-三级类
 * 标签
 */
class SelectPositionTypeAndTagsActivity:BaseActivity() {
    private var data:ArrayList<PositionTypeAndTagsBean>? = null
    private lateinit var adapter:SelectPositionAndTagsAdapter
    override fun getContentLayoutId() = R.layout.activity_select_position_tags
    override fun init() {
        mTitleBar.setLeftImgListener{finish()}
        mTitleBar.setRightTvListener {
            save()
        }
        mRecyclerView.layoutManager = LinearLayoutManager(this)
        mRecyclerView.addItemDecoration(DividerItemDecoration(this,DividerItemDecoration.HORIZONTAL_LIST
            ,ResourceUtils.getDimenSize(R.dimen.dp_05),ResourceUtils.getColor(R.color.color_e7e9eb)))
        adapter = SelectPositionAndTagsAdapter(this)
        adapter.setOnItemClickListener(object:OnItemClickListener<PositionTypeAndTagsBean>{
            override fun onItemClickListener(
                itemView: View,
                position: Int,
                bean: PositionTypeAndTagsBean?
            ) {
                val data = intent.putExtra(IntentUtils.INTENT_KEY_DATA,bean)
                setResult(RESULT_OK,data)
                finish()
            }

        })
        mRecyclerView.adapter = adapter
        mInputPosition.apply {
            setText(intent.getStringExtra(IntentUtils.INTENT_KEY_POSITION_TYPE))
            afterTextChanged { s ->
                requestData(s?.toString())
            }
            requestFocus()
        }
    }

    /**
     * 根据输入词请求数据
     */
    private fun requestData(keyword:String?){
        ApiService.api.fetchPositionTypesAndTags(keyword).enqueue(object:
            BaseCallback<List<PositionTypeAndTagsBean>>(false) {
            override fun onSuccess(
                request: HttpRequest<*>?,
                response: HttpResponse<List<PositionTypeAndTagsBean>>?
            ) {
                data = response?.content as? ArrayList<PositionTypeAndTagsBean>?
               adapter.setData(keyword,data)
            }

        })
    }

    /**
     * 点击右上角保存
     */
    private fun save(){
        val keyword = mInputPosition.text
        if (keyword.isNullOrEmpty()){
            ToastUtil.showCenter(this,"请填写职位名称")
            return
        }
        val bean = if (data.isNullOrEmpty()) PositionTypeAndTagsBean(keyword.toString(),null)
        else PositionTypeAndTagsBean(keyword.toString(),data!!.elementAt(0).expectJobInfo)
        setResult(RESULT_OK,intent.putExtra(IntentUtils.INTENT_KEY_DATA,bean))
        finish()
    }
}