package com.common.chat.item

import android.content.Context
import android.text.TextUtils
import android.view.View
import com.alpha.lagouapk.R
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.definition.b.BAid
import com.lagou.chat.chatlibrary.bean.json.JMsgAuthorization
import com.lagou.lagouee.utils.IntentUtils

/**
 * 通知页简单的button item
 *
 * @author yph
 * @date 2020/3/13
 */
class SimpleButtonItem(context: Context) : TextNotifyButtonItem(context) {
    override fun updateView() {
        mChatMsg?.msgAuthorization?.apply {
            mContent.text = this.content
            if (!TextUtils.isEmpty(this.title)) {
                mTitle.visibility = VISIBLE
                mTitle.text = this.title
            } else {
                mTitle.visibility = GONE
            }
            if (!TextUtils.isEmpty(this.buttonText)) {
                mButton.visibility = VISIBLE
                mButton.text = this.buttonText
                mButton.tag = this
            } else {
                mButton.visibility = GONE
            }
        }
    }

    override fun onClick(v: View?) {
        super.onClick(v)
        if (v?.id == R.id.tv_btn) {
            (v.tag as? JMsgAuthorization)?.apply {
                val link = this.buttonLink
                if (!link.isNullOrEmpty()) {
                    IntentUtils.startLagouWebViewActivity(mContext, link)
                }
                when (this.type) {
                    "BATCH_INVITE" -> AnalyticHelper.getInstance().sendClickInfo(BAid._1pt3)
                }
            }

        }
    }
}