package com.common.integrate.apm.strict

import android.os.StrictMode
import com.lagou.commonlibs.utils.LogUtils

/**
 * @date： Crate by wangjunwei on 2022/6/13
 * @description： 严苛模式，侧重于检测线程问题、虚拟机问题，log日志输出、弹窗
 **/
class StrictModeManager {
    companion object {
        fun initStrictMode(){
            if(!LogUtils.isDebug()){
                return
            }
            StrictMode.setThreadPolicy(StrictMode.ThreadPolicy
                .Builder()
                .detectAll()
                .penaltyLog()
                .build()
            )
           StrictMode.setVmPolicy(StrictMode.VmPolicy
               .Builder()
               .detectAll()
               .penaltyLog()
               .build()
           )
        }
    }
}