package com.common.integrate.onelogin

/**
 * @date： Crate by wangjunwei on 2023/4/17
 * @description：一键返回结果
 * status = 200  取号成功
 * msg 运营商返回的状态信息
 * process_id 流水号(有效期10分钟)
 * app_id 极验后台配置唯一 id
 * operator 客户端获取的运营商
 * clienttype 客户端，1 表示 Android
 * sdk SDK 的版本号
 * authcode 电信运营商返回的authcode
 * token 运营商返回的accessToken
 * errorCode 错误码
 **/
data class OneLoginResult(var msg: String?, var process_id: String?,
                          var app_id: String?, var operator: String?,
                          var clienttype: String?, var sdk: String?,
                          var status: Int?, var token: String?,
                          var authcode: String?, var errorCode: String?,
                          var desc: String?) {
    companion object {
        /**
         * 一键登录区号成功状态码
         */
        const val SUCCESS_CODE = 200
    }

    fun isGetPhoneNumberSuccess(): Boolean {
      return SUCCESS_CODE == status
    }


}

