package com.common.integrate.pay

import com.lagou.apt.processor.AutoRegisterPayBack
import com.lagou.baselib.BaseActivity
import com.lagou.commonlibs.utils.LogUtils
import com.lagou.pay.common.PayDelegate
import com.lagou.pay.common.inter.SpecialPayCallBack
import com.lagou.pay.common.moniter.bean.PayUseType

/**
 * @date 创建时间：2019-07-30
 * @author 作者：codeman
 * @Description  描述：支付组件使用方manager
 * @version
 */
class UsePayManager {


    companion object {

        private var payDelegate: PayDelegate? = null

        fun parsePayUrl(url: String?, activity: BaseActivity?): Boolean? {
            activity?.let {
                initPayDelegate()
                return payDelegate?.parsePayUrl(url, activity)
            }

            return false
        }

        fun payProcess(goodsOrderNo: String?, useScenes: String?, activity: BaseActivity?): Boolean? {
            return payProcess(goodsOrderNo, useScenes, activity, null)
        }


        fun payProcess(goodsOrderNo: String?, useScenes: String?, activity: BaseActivity?, prePayCallBack: SpecialPayCallBack? = null): Boolean? {

            activity?.let {
                initPayDelegate()
                return payDelegate?.payGoodsOrderNo(goodsOrderNo, useScenes, activity, prePayCallBack)
            }

            return false
        }


        fun rechargePay(amount: String?, useScenes: String?, activity: BaseActivity?): Boolean? {
            activity?.let {
                initPayDelegate()
                return payDelegate?.rechargePay(PayUseType.NATIVE, amount, useScenes, activity)
            }

            return false
        }

        private fun initPayDelegate() {
            if (payDelegate == null) {
                LogUtils.i("PayDelegate", "payDelegate 初始化赋值，并且注册支付回调接口")
                payDelegate = PayDelegate()
                AutoRegisterPayBack.registerCallback(payDelegate)
            }
        }

        fun onDestroy(className: String?) {
            payDelegate?.onDestroy(className)
        }
    }
}