package com.common.integrate.pay.apply

import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-08-14
 * @author 作者：codeman
 * @Description  描述：calling购买使用方回调，对于支付流程而言使用方只关注该回调
 *                    至于支付成功后具体的业务场景需要各使用方自行处理
 * @version
 */
@APayBack(
        PayUseScenesKey.BUSINESS_CALLING,
        PayUseScenesKey.ProductType.PRODUCT_VIP_MEMBER + PayUseScenesKey.SEPARATOR + PayUseScenesKey.SceneType.SCENE_CALLING
        )
class BuyCallingImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onFlushRelevant() {
        //1 刷新当前h5页面
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            if(webviewActivity.isActive){
                webviewActivity.mWebViewDelegate?.reload()
            }
        }
    }
    
    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask {
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_CALLING_LOADING, payDelegate?.extraParams)
        }
    }

    override fun onFailure(goodsOrderNo: String?, mOrderNo: String?) {

    }

    override fun onUnknown(goodsOrderNo: String?, mOrderNo: String?) {

    }

    override fun onGetOrderNo(orderNo: String?) {

    }

    override fun onReport() {
        AnalyticHelper.getInstance().sendClickInfo("1mxe","1mxt")
    }

    override fun getBuyButtonClickAid() = "1mxu"

}
