package com.common.integrate.pay.apply

import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-07-02
 * @author 作者：codeman
 * @Description  描述：月度职位卡购买成功，延长职位在线时间
 * @version
 */

@APayBack(
        PayUseScenesKey.BUSINESS_MONTH_RENEWAL,
        PayUseScenesKey.ProductType.PRODUCT_VIP_MEMBER + PayUseScenesKey.SEPARATOR + PayUseScenesKey.SceneType.SCENE_PROLONG_POSITION
        )
class BuyProlongImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onFlushRelevant() {
        //1 刷新当前h5页面
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            if(webviewActivity.isActive){
                webviewActivity.mWebViewDelegate?.reload()
            }
        }
    }


    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask{
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_RENEWAL_LOADING, payDelegate?.extraParams)
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_RENEWAL_REGISTER, payDelegate?.extraParams)
        }
    }

    override fun onFailure(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onUnknown(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onGetOrderNo(orderNo: String?) {

    }

    override fun onReport() {
        AnalyticHelper.getInstance().sendClickInfo("1mxe","1mti")
    }

    override fun getBuyButtonClickAid() = "1mtj"

}