package com.common.integrate.pay.apply

import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2020-06-11
 * @author 作者：codeman
 * @Description  描述：购买简历下载卡，下载简历
 * @version
 */

@APayBack(
        PayUseScenesKey.ProductType.PRODUCT_RESUME_DOWNLOAD + PayUseScenesKey.SEPARATOR + PayUseScenesKey.SceneType.SCENE_RESUME_DOWNLOAD
        )
class BuyResumeDownloadImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onFlushRelevant() {
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            if(webviewActivity.isActive){
                webviewActivity.mWebViewDelegate?.reload()
            }
        }
    }

    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask{
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_DOWNLOAD_RESUME_LOADING, payDelegate?.extraParams)
        }
    }

    override fun onFailure(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onUnknown(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onGetOrderNo(orderNo: String?) {
    }

    override fun onReport() {

    }

    override fun getBuyButtonClickAid() = ""

}