package com.common.integrate.pay.apply

import android.text.TextUtils
import com.common.bean.PayTypeInfo
import com.common.integrate.pay.PayUseScenesKey
import com.lagou.annotation.apt.APayBack
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-09-27
 * @author 作者：codeman
 * @Description  描述：试用会员购买
 * @version
 */
@APayBack(PayUseScenesKey.BUSINESS_TRIAL_MEMBER)
class BuyTrialMemberImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask {
            //codeman 转移到业务方的校验接口
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_TRIAL_LOADING, PayTypeInfo(payDelegate?.schemaGoodsOrderNo))
        }
    }

    override fun onFailure(goodsOrderNo: String?, mOrderNo: String?) {
    }

    override fun onUnknown(goodsOrderNo: String?, mOrderNo: String?) {
    }

    override fun onFlushRelevant() {
    }

    override fun onGetOrderNo(orderNo: String?) {
    }

    override fun onReport() {
        var aid = ""
        when {
            isSixVip() -> aid = "1pan"
            isNineVip() -> aid = "1pav"
            isCommonVip() -> aid = "1paz"
        }

        if (!TextUtils.isEmpty(aid)){
            val clickInfo = ClickInfo()
                    .setPage_id(buyPageId)
                    .setAddress_id(aid)
            AnalyticHelper.getInstance().sendClickInfo(clickInfo)
        }
    }

    override fun getBuyPageId(): String {
        //6元
        if (isSixVip()) {
            return "1pab"
        }

        //9元
        if (isNineVip()) {
            return "1pac"
        }

        //普通App
        if (isCommonVip()) {
            return "1pae"
        }

        return "1mxe"
    }

    override fun getBuyButtonClickAid(): String {
        if (isSixVip()) {
            return "1pap"
        }

        //9元
        if (isNineVip()) {
            return "1paw"
        }

        //普通App
        if (isCommonVip()) {
            return "1pb1"
        }

        return "1p5w"
    }


    private fun isSixVip():Boolean {
        return TextUtils.equals(payDelegate?.extraParams?.sceneType, PayUseScenesKey.SceneType.SCENE_TRIAL_MINIMUM)
                || TextUtils.equals(payDelegate?.singleUseScenes, PayUseScenesKey.BUSINESS_TRIAL_MEMBER)
    }


    private fun isNineVip() = TextUtils.equals(payDelegate?.extraParams?.sceneType, PayUseScenesKey.SceneType.SCENE_TRIAL_DISCOUNTS)

    private fun isCommonVip() = TextUtils.equals(payDelegate?.extraParams?.sceneType, PayUseScenesKey.SceneType.SCENE_MALL)


}