package com.common.ui.rights

import android.content.Intent
import android.os.Build
import android.os.Bundle
import androidx.annotation.RequiresApi
import androidx.recyclerview.widget.LinearLayoutManager
import com.alpha.lagouapk.R
import com.common.manager.RightsManager
import com.common.ui.adapter.RightsSetAdapter
import com.lagou.baselib.BaseActivity
import com.lagou.commonlibs.inter.OnSingleMethodNoParameterListener
import kotlinx.android.synthetic.main.activity_rights_set.*

/**
 * @author 作者：codeman
 * @date 创建时间：6/2/21 19:43
 * @Description 描述：权限管理设置页面
 */
class RightsSetActivity : BaseActivity() {

    private var rightsSetAdapter: RightsSetAdapter? = null
    private val rightsManager = RightsManager()

    private val noParameterListener = object : OnSingleMethodNoParameterListener{
        override fun onCallBack() {
            runOnUiThread{
                rightsSetAdapter?.setData(rightsManager.rightsSetBeans)
            }
        }
    }

    override fun init() {
        titleBar.setLeftImgListener { finish() }
        rightsSetAdapter = RightsSetAdapter(this)
        recycleView.apply {
            layoutManager = LinearLayoutManager(this@RightsSetActivity)
            val decoration = RightsSetItemDecoration()
            addItemDecoration(decoration)
            adapter = rightsSetAdapter
        }
    }

    @RequiresApi(Build.VERSION_CODES.N)
    override fun onResume() {
        super.onResume()
        rightsManager.checkRightsStatus(applicationContext, noParameterListener)
    }

    override fun getContentLayoutId() = R.layout.activity_rights_set
}