package com.common.upgrade

import android.os.Bundle
import android.view.View
import android.view.WindowManager
import android.widget.Button
import android.widget.ImageView
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.UpgradeInfo
import com.common.utils.ViewUtils
import com.lagou.baselib.BaseActivity
import com.lagou.commonlibs.utils.ResourceUtils

/**
 * 期初想用Dialog，但是因为启动时跳转逻辑复杂，Dialog不知道落地到哪，所以启用Dialog类型的Activity
 * 只用于scheme跳转使用
 */
class AppUpgradeActivity:BaseActivity(),View.OnClickListener {
    private var tvUpgradeDesc:TextView? = null
    private var btnUpgrade: Button? = null
    private var ivCancel: ImageView? = null
    private var downloadUrl:String? = null
    private var downloadDesc:String? = null
    companion object{
        const val KEY_UPGRADE_DESC = "key_upgrade_desc"
        const val KEY_UPGRADE_URL = "key_upgrade_url"
    }

    override fun getContentLayoutId(): Int = R.layout.dialog_upgrade

    override fun init() {
        tvUpgradeDesc = findViewById(R.id.update_content)
        btnUpgrade = findViewById(R.id.dlg_ok)
        ivCancel = findViewById(R.id.dlg_cancel)
        ViewUtils.setViewsClick(this,btnUpgrade,ivCancel)
        downloadDesc = intent.extras?.getString(KEY_UPGRADE_DESC)
        downloadUrl = intent.extras?.getString(KEY_UPGRADE_URL)
        tvUpgradeDesc?.text = downloadDesc
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val windowParams = window.attributes
        windowParams.width = ResourceUtils.getDimenSize(R.dimen.dp_280)
        windowParams.height = WindowManager.LayoutParams.WRAP_CONTENT
        window.attributes = windowParams
    }

    override fun onClick(v: View?) {
        when(v?.id){
            R.id.dlg_ok -> doUpgrade()
            R.id.dlg_cancel -> finish()
        }
    }

    private fun doUpgrade(){
        val upgradeInfo = UpgradeInfo()
        upgradeInfo.apkUrl = downloadUrl
        upgradeInfo.desc = downloadDesc
        AppUpgradeManager.getInstance().downloadApk(this@AppUpgradeActivity,upgradeInfo,false)
        finish()
    }
}