package com.common.utils

import android.graphics.Bitmap
import androidx.palette.graphics.Palette
import com.lagou.commonlibs.utils.LogUtils

/**
 * @date： Crate by wangjunwei on 2022/9/1
 * @description：图像识别工具类
 **/
class PaletteUtils {
    companion object {
        /**
         * 对图像颜色分析，识别不符合要求的图片
         */
        interface IAnalyzeColor {
            fun onVerifyResult(isOneColor: Boolean)
        }

        /***
         * 识别当前图像是否是单色图
         */
        fun paletteSingleColor(bitmap: Bitmap?, iColor: IAnalyzeColor){
            bitmap?.let { bitmap ->
                val builder = Palette.from(bitmap)
                //builder.maximumColorCount(10)
                builder.generate { palette ->
                    palette?.let {
                        var swatches: List<Palette.Swatch>? = palette.swatches
                        if (LogUtils.isDebug()) LogUtils.i("PaletteUtils", "color_size = ${swatches?.size}")
                        //取权重，最靠前的5组颜色
//                        val take = swatches.toMutableList().sortedByDescending { take ->
//                            take.population
//                        }.take(5)
//                        //定义标识，判断是否是纯色的图片
//                        var isOneColor = true
//                        if (take.size <= 1){
//                            iColor.onVerifyResult(isOneColor)
//                            return@generate
//                        }
//                        for (index in take.indices - 1){
//                            if (take[index] != take[index + 1]){
//                                isOneColor = false
//                                iColor.onVerifyResult(isOneColor)
//                                return@generate
//                            }
//                        }
                        //颜色值只有一种，可以判断为单色
                        iColor.onVerifyResult(swatches?.size ?: 0 <= 1)
                    }
                }
            }
        }
    }
}