package com.common.webview

import android.net.Uri
import com.alpha.lagouapk.UserRoleManager
import com.blankj.utilcode.util.StringUtils
import com.lagou.annotation.apt.RouterRule
import com.lagou.commonlibs.web.UrlConfig
import com.lagou.commonlibs.web.router.RouteUtils
import com.lagou.course.utils.WebEncryption

/**
 * Created by shishoufeng on 2020/10/15.
 * email:shoufengshi@lagou.com
 *
 * desc: onlyApp 协议进行加密处理
 *
 */
@RouterRule(UrlConfig.LAGOU_BASE_URL + "/OnlyApp?callback={url}")
class OnlyAppWebActivity : LagouWebviewActivity() {

    override fun onPreviousMapLoadUrl(loadingURL: String?): String {
        val originUrl = if (loadingURL.isNullOrEmpty()) RouteUtils.getRouteUrl(intent) else loadingURL

        return if (StringUtils.isEmpty(originUrl))
            super.onPreviousMapLoadUrl(loadingURL)
        else
            try {
                val uri = Uri.parse(originUrl)
                val browseUrl = uri.getQueryParameter("callback")
                return if (browseUrl.isNullOrEmpty()) super.onPreviousMapLoadUrl(loadingURL) else browseUrl
            } catch (e: Exception) {
                e.printStackTrace()

                return super.onPreviousMapLoadUrl(loadingURL)
            }
    }


    override fun loadUrlReady(url: String?): String {
        return WebEncryption.getEncryptionUrl(url, UserRoleManager.getInstance().userId)
    }


}