package com.common.webview.jssdk

import android.content.Context
import com.alpha.lagouapk.tools.IntentUtils
import com.alpha.lagouapk.wxapi.WXEntryActivity
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.jsbridge.JsBridgeCore
import com.lagou.lagouee.observer.BEventTags

/**
 * @date 创建时间：2019-12-02
 * @author 作者：codeman
 * @Description  描述：设置原生微信绑定触发功能，供Js调用
 * @version
 */
class JsBindWxHandler(context: Context) : JsBridgeCore.BaseNativeFunctionHandler(context) {

    private var activity: BaseActivity? = null
    private var nativeHandlerResult: JsBridgeCore.NativeHandlerResult? = null

    init {
        activity = context as? BaseActivity
    }

    override fun handle(data: String?, result: JsBridgeCore.NativeHandlerResult?) {
        activity?.let {
            if (activity?.isActivityDestroyed == true) {
                super.handle(data, result)
                return
            }
            nativeHandlerResult = result
            WXEntryActivity.repState = IntentUtils.getRandomString(16)
            IntentUtils.loginByWeChat(activity, WXEntryActivity.repState, BEventTags.WALLET_WX_BIND)
        }
    }

    /***
     * 获取native像js发送指定信息的回调入口
     */
    fun getNativeNativeHandler() = nativeHandlerResult
}