package com.common.webview.jssdk

import android.content.Context
import com.blankj.utilcode.util.JsonUtils
import com.blankj.utilcode.util.PhoneUtils
import com.lagou.baselib.jsbridge.JsBridgeCore

/**
 * Created by shishoufeng on 2020/9/25.
 * email:shoufengshi@lagou.com
 *
 * desc: native 跳转至拨打电话页面
 *
 */
class JsCallNativePhone (context: Context) : JsBridgeCore.BaseNativeFunctionHandler(context) {

    companion object{
        private const val TAG = "JsCallNativePhone"
    }

    override fun handle(data: String?, result: JsBridgeCore.NativeHandlerResult?) {
        if (data.isNullOrEmpty()) {
            super.handle(data, result)
        }
        data?.let {
            val phone = JsonUtils.getString(data,"phone")
            PhoneUtils.dial(phone)
        }
    }
}