package com.common.widget

import android.content.Context
import android.util.DisplayMetrics
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.LinearSmoothScroller
import androidx.recyclerview.widget.RecyclerView

/**
 * 将某个item移动到顶部
 */
class SmoothLinearLayoutManager @JvmOverloads constructor(context: Context,orientation:Int = RecyclerView.VERTICAL,reverseLayout:Boolean = false):
    LinearLayoutManager(context,orientation,reverseLayout) {

    override fun smoothScrollToPosition(recyclerView: RecyclerView?, state: RecyclerView.State?, position: Int) {
        try {
            val linearSmoothScroller = object : LinearSmoothScroller(recyclerView?.context){

                override fun getVerticalSnapPreference(): Int {
                    return SNAP_TO_START
                }
            }
            linearSmoothScroller.targetPosition = position;
            startSmoothScroll(linearSmoothScroller)
        } catch (e: Exception) {
        }
    }
}