package com.lagou.lagouee.ui.dialog

import android.text.Html
import com.ApiService
import com.alpha.lagouapk.R
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.manager.BUserManager
import kotlinx.android.synthetic.main.dialog_position_template.*

/**
 * 职位模板弹窗
 */
class PositionTemplateDialog:BaseDialogFragment() {
    companion object{
        @JvmStatic
        fun newInstance(): PositionTemplateDialog {
            return PositionTemplateDialog()
        }
    }
    override fun getLayoutId(): Int = R.layout.dialog_position_template

    override fun getWidth(): Int = DeviceUtils.getScreenWidth() - ResourceUtils.getDimenSize(R.dimen.dp_38) * 2

    override fun fillUI() {
        super.fillUI()
        tv_position_template_content.text = Html.fromHtml(ResourceUtils.getString(R.string.dialog_position_template_content))
        tv_position_template_title.text = "Hi～ ".plus(BUserManager.getInstance().userName ?: "")
        tv_position_template_title.paint.isFakeBoldText = true
        tv_position_template_button.setOnClickListener{
            dismiss()
        }
        //上报后端已展示
        ApiService.api.reportPositionTemplateDialog().enqueue()
    }
    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        dialog?.setCanceledOnTouchOutside(false)
        isCancelable = false
    }
}