package com.lagou.lagouee.ui.dialog

import android.content.pm.ActivityInfo
import android.os.Build
import butterknife.OnClick
import com.alpha.lagouapk.R
import com.common.utils.ShowUtils
import com.lagou.baselib.BaseActivity
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.SettledGuideDialogBean
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.dialog_settled_guide.*

/**
 * Created by mihao on 10/13/22
 * * B端入驻成功引导弹窗
 */
class SettledGuideDialogActivity : BaseActivity() {

    private var mSettledGuideBean: SettledGuideDialogBean? = null

    companion object {
        const val INTENT_KEY_GUIDE_BEAN = "guide_bean"
    }

    override fun getContentLayoutId(): Int = R.layout.dialog_settled_guide

    override fun init() {
        if (Build.VERSION.SDK_INT != Build.VERSION_CODES.O) {
            requestedOrientation = ActivityInfo.SCREEN_ORIENTATION_PORTRAIT
        }

        mSettledGuideBean =
            intent.getSerializableExtra(INTENT_KEY_GUIDE_BEAN) as SettledGuideDialogBean?

        tv_guide_name.text =
            ResourceUtils.getString(R.string.settled_guide_name, mSettledGuideBean?.username)

        val vipTemplateItemList = mSettledGuideBean?.userInfoBusiness?.vipTemplateItemList
        if (vipTemplateItemList?.size!! > 2
            && vipTemplateItemList[0] != null
            && vipTemplateItemList[1] != null
            && vipTemplateItemList[2] != null
        ) {
            tv_position_rights.text = ShowUtils.setTextViewBoldColorSize(
                this,
                vipTemplateItemList[0].itemDesc + "个\n" + vipTemplateItemList[0].baseGoodsName,
                0,
                vipTemplateItemList[0].itemDesc.length,
                R.color.theme_text_color,
                ResourceUtils.getDimenSize(R.dimen.sp_18)
            )

            tv_chat_rights.text = ShowUtils.setTextViewBoldColorSize(
                this,
                vipTemplateItemList[1].itemDesc + "次/日\n" + vipTemplateItemList[1].baseGoodsName,
                0,
                vipTemplateItemList[1].itemDesc.length,
                R.color.theme_text_color,
                ResourceUtils.getDimenSize(R.dimen.sp_18)
            )

            tv_resume_rights.text = ShowUtils.setTextViewBoldColorSize(
                this,
                vipTemplateItemList[2].itemDesc + "次/日\n" + vipTemplateItemList[2].baseGoodsName,
                0,
                vipTemplateItemList[2].itemDesc.length,
                R.color.theme_text_color,
                ResourceUtils.getDimenSize(R.dimen.sp_18)
            )
        }
    }

    @OnClick(R.id.iv_guide_close)
    fun closeDialog() {
        finish()
    }

    @OnClick(R.id.tv_guide_start)
    fun startPublish() {
        IntentUtils.startReleaseActivity(this)
        finish()
    }
}