package com.lagou.lagouee.ui.dialog.business

import android.view.View
import com.alpha.lagouapk.R
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.baselib.analytic.bean.json.PVLogInfo
import com.lagou.commonlibs.inter.OnSingleMethodListener
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.jsonbean.resume.DownloadResumeRes
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.dialog_download_resume_ready.*

/**
 * @date 创建时间：2019-12-20
 * @author 作者：codeman
 * @Description  描述：下简历准备弹窗
 * @version
 */
class DownloadResumeReadyDialog : BaseDialogFragment() {

    private var downloadResumeRes: DownloadResumeRes? = null
    private var singleMethodListener: OnSingleMethodListener<Any>? = null
    private var cUserid: Long = 0

    companion object {
        fun getInstance(downloadResumeRes: DownloadResumeRes, cUserid: Long,
                        singleMethodListener: OnSingleMethodListener<Any>): DownloadResumeReadyDialog {
            val downloadResumeDialog = DownloadResumeReadyDialog()
            downloadResumeDialog.downloadResumeRes = downloadResumeRes
            downloadResumeDialog.singleMethodListener = singleMethodListener
            downloadResumeDialog.cUserid = cUserid
            return downloadResumeDialog
        }
    }

    public override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        dialog?.setCanceledOnTouchOutside(false)
    }

    override fun fillUI() {
        super.fillUI()
        downloadResumeRes?.apply {
            tv_title.text = readyDialogTitle
            tv_content.text = readyDialogContent
            tv_tips.text = readyDialogUpdateTime
            if (isOneSelfHasCandidate){
                tv_continue.visibility = View.VISIBLE
            }else if (isCompanyOtherHasCandidate){
                tv_continue.visibility = View.GONE
                vm_bottom_line.visibility = View.GONE
                tv_see.text = ResourceUtils.getString(R.string.continue_download)
            }
        }

        // 已经下载过的弹窗曝光
        val pvLogInfo = PVLogInfo()
                .setPage_id("1qpx")
                .addBrowse_props("c_userid", cUserid)
        AnalyticHelper.getInstance().sendExploreInfo(pvLogInfo)
    }

    override fun initListener() {
        super.initListener()
        image_close.setOnClickListener {
            dismiss()
        }
        tv_continue.setOnClickListener {
            //继续下载
            singleMethodListener?.onCallBack(downloadResumeRes)
            dismiss()
        }

        tv_see.setOnClickListener {
            //去查看或者继续下载
            downloadResumeRes?.apply {
                //1 自己拥有简历，点击去查看
                if (isOneSelfHasCandidate){
                    IntentUtils.startResumeActivityByResumeId(activity, resumeId)
                }else if (isCompanyOtherHasCandidate){
                    //2 公司其它人拥有简历 点击继续下载
                    singleMethodListener?.onCallBack(downloadResumeRes)

                    // 点击继续下载的量
                    var clickInfo = ClickInfo()
                    clickInfo.address_id = "1qpy"
                    clickInfo.page_id = "1qpx"
                    clickInfo.addClick_props("c_userid", cUserid)
                    AnalyticHelper.getInstance().sendClickInfo(clickInfo)
                }
                dismiss()
            }
        }
    }

    override fun getLayoutId() = R.layout.dialog_download_resume_ready


    override fun getWidth() =  (screenWidth * 0.8).toInt()
}