package com.lagou.lagouee.ui.dialog.entry

import android.os.Bundle
import android.view.View
import android.view.WindowManager
import android.widget.ImageView
import android.widget.LinearLayout
import com.alpha.lagouapk.R
import com.common.utils.ViewUtils
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import kotlinx.android.synthetic.main.dialog_get_feishu_card.*
import java.util.ArrayList

/**
 * 获取飞书名片/企业微信名片弹窗
 */
class FeiShuAndQiWeiCardDialog: BaseBottomSheetDialogFragment() {
    private var mTitle:String? = null
    private var mImgResIds:ArrayList<Int>? = null
    companion object {
        const val KEY_DIALOG_TITLE = "key_dialog_title"
        const val KEY_IMG_RES_IDS = "key_img_res_ids"
        @JvmStatic
        fun getInstance(title:String?,imageResIds: ArrayList<Int>): FeiShuAndQiWeiCardDialog {
            val bundle = Bundle()
            bundle.putString(KEY_DIALOG_TITLE,title)
            bundle.putIntegerArrayList(KEY_IMG_RES_IDS,imageResIds)
            val dialog = FeiShuAndQiWeiCardDialog()
            dialog.arguments = bundle
            return dialog
        }
    }
    override fun getLayoutId(): Int = R.layout.dialog_get_feishu_card

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        mTitle = arguments?.getString(KEY_DIALOG_TITLE)
        mImgResIds = arguments?.getIntegerArrayList(KEY_IMG_RES_IDS)
    }

    override fun fillUI() {
        super.fillUI()
        ViewUtils.setViewsClick(this,ivCloseFeiShuGuide,flRoot)
        tvGetFeiShuTitle?.text = mTitle
        addImg()
    }

    private fun addImg() {
        mImgResIds?.forEach { resId ->
            val imageView = generateImageView()
            ImageLoadUtils.with(context).load(resId).dontAnimate().into(imageView)
            llImgContainer.addView(imageView)
        }
    }
    private fun generateImageView():ImageView{
        val imageView = ImageView(context)
        imageView.layoutParams = LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT,LinearLayout.LayoutParams.WRAP_CONTENT)
        return imageView
    }

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.ivCloseFeiShuGuide,R.id.flRoot -> dismiss()
        }
    }

    override fun isDraggable(): Boolean = false

    override fun getWidth(): Int = WindowManager.LayoutParams.MATCH_PARENT
}