package com.lagou.lagouee.ui.mine

import android.app.Activity
import android.content.Intent
import com.ApiService
import com.alpha.lagouapk.R
import com.alpha.lagouapk.ui.login.perfect.EditInfoCode
import com.lagou.annotation.apt.RouterRule
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.commonlibs.web.router.RouteUtils
import com.lagou.lagouee.bean.free.AutoRefuseBean
import com.lagou.lagouee.utils.IntentUtils
import com.lagou.lagouee.utils.SPUtilsB
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse
import kotlinx.android.synthetic.main.activity_b_refuse_txt_setting.*

/**
 * 自动打招呼 或者 自动回复不合适
 * 1 不合适：type=refuse
 * 2 打招呼：type=reply
 */
@RouterRule("lagouhr://lagou.com/setting/chatSetting")
class BRefuseTxtSettingActivity : BaseActivity() {
    var refuseAdapter: RefuseAdapter? = null
    override fun init() {
        title_layout.setLeftImgListener { onBackPressed() }
        requestRefuseData()
    }

    override fun initWindow() {
        super.initWindow()
        //从路由模式进来 （不合适：type=refuse ，打招呼：type=reply）默认跳转至该页，当路由需要跳转至reply页，销毁该页
        val routeUrl = RouteUtils.getRouteUrl(intent)
        if (!routeUrl.isNullOrBlank() && routeUrl.contains("reply")) {
            IntentUtils.startCommunicateConfigActivity(this)
            finish()
        }
    }

    override fun getContentLayoutId() = R.layout.activity_b_refuse_txt_setting

    private fun requestRefuseData() {
        ApiService.api.settings.enqueue(object : BaseCallback<AutoRefuseBean>() {
            override fun onSuccess(request: HttpRequest<*>?, response: HttpResponse<AutoRefuseBean>?) {
                response?.content?.apply {
                    if (msgs != null) {
                        refuseAdapter = RefuseAdapter(mContext, msgs, isAutoRefuse)
                        SPUtilsB.saveAutoRefuse(isAutoRefuse)
                        recycle_refuse.adapter = refuseAdapter
                    }
                }
            }

            override fun onFailure(request: HttpRequest<*>?, response: HttpResponse<AutoRefuseBean>?) {
                super.onFailure(request, response)
            }
        })
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (resultCode == Activity.RESULT_OK && requestCode == EditInfoCode.TYPE_GREET_REFUSE) {
            requestRefuseData()
        }
    }
}