package com.lagou.lagouee.ui.position

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.RelativeLayout
import com.alpha.lagouapk.R
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.jsonbean.position.BPositionDetail
import kotlinx.android.synthetic.main.layout_position_detail_type.view.*

/**
 * Created by mihao on 10/13/22
 * 职位详情类型卡片
 */
class PositionDetailTypeCard : RelativeLayout {

    constructor(context: Context) : this(context, null)

    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)

    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(
        context, attrs, defStyleAttr
    ) {
        LayoutInflater.from(context).inflate(R.layout.layout_position_detail_type, this)
    }

    fun setData(positionDetail: BPositionDetail) {
        tv_position_type.text = positionDetail.typeTag
        tv_position_rights.text = positionDetail.tipsContent
        tv_position_status.text =
            if (positionDetail.isOffline) ResourceUtils.getString(R.string.position_offline)
            else ResourceUtils.getString(R.string.position_online)

        if (positionDetail.isOffline) {
            setBackgroundResource(R.drawable.shape_f4f6f8_r4)
            tv_position_type.setTextColor(ResourceUtils.getColor(R.color.color_666666))
            tv_position_rights.setTextColor(ResourceUtils.getColor(R.color.color_666666))
            tv_position_status.setTextColor(ResourceUtils.getColor(R.color.color_999999))
            iv_vip_bg1.visibility = GONE
            iv_vip_bg2.visibility = GONE
            return
        }

        if (positionDetail.isPrivilegePosition || positionDetail.isSchoolPosition
            || positionDetail.isHotPositionPreview || positionDetail.isHotPosition
        ) {
            setBackgroundResource(R.drawable.shape_fff1e3_r4)
            tv_position_type.setTextColor(ResourceUtils.getColor(R.color.color_885630))
            tv_position_rights.setTextColor(ResourceUtils.getColor(R.color.color_905427))
            tv_position_status.setTextColor(ResourceUtils.getColor(R.color.color_99521a))
            iv_vip_bg1.visibility = VISIBLE
            iv_vip_bg2.visibility = VISIBLE
            return
        }

        setBackgroundResource(R.drawable.shape_e0f5f1_r4)
        tv_position_type.setTextColor(ResourceUtils.getColor(R.color.theme_text_color))
        tv_position_rights.setTextColor(ResourceUtils.getColor(R.color.theme_text_color))
        tv_position_status.setTextColor(ResourceUtils.getColor(R.color.theme_text_color))
        iv_vip_bg1.visibility = GONE
        iv_vip_bg2.visibility = GONE
    }
}