package com.lagou.lagouee.ui.position.address

import android.os.Bundle
import butterknife.OnClick
import com.alpha.lagouapk.R
import com.lagou.baselib.BaseKotlinFragment
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.definition.b.BAid
import com.lagou.baselib.analytic.definition.b.BMid
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.fragment_address_empty.*

/**
 * @date 创建时间：2020/6/22
 * @author 作者：codeman
 * @Description  描述：地址列表为空情况
 * @version
 */
class AddressEmptyFragment : BaseKotlinFragment() {

    private var addressType: Int = AddAddressActivity.TYPE_POSITION

    override fun getLayoutId() = R.layout.fragment_address_empty

    companion object {
        fun getInstance(addressType: Int): AddressEmptyFragment {
            var bundle = Bundle()
            bundle.apply {
                putInt(AddressListActivity.KEY_ADDRESS_TYPE, addressType)
            }
            var addressEmptyFragment = AddressEmptyFragment()
            addressEmptyFragment.arguments = bundle
            return addressEmptyFragment
        }
    }

    override fun fillUi() {
        arguments?.apply {
            addressType =
                getInt(AddressListActivity.KEY_ADDRESS_TYPE, AddAddressActivity.TYPE_POSITION)
        }
        tv_add.setOnClickListener {
            val isCompany = addressType == AddAddressActivity.TYPE_COMPANY
            analytic1(isCompany)
            IntentUtils.startAddAddressActicity(baseActivity, AddAddressActivity.TYPE_ADD, addressType)
        }
    }

    private fun analytic1(isCompany: Boolean) {
        AnalyticHelper.getInstance().sendClickInfo(
            if (isCompany) BMid._1yM0 else BMid._1xu0,
            if (isCompany) BAid._1yG0 else BAid._1xq0
        )
    }
}