package com.lagou.lagouee.ui.position.card

import android.content.Context
import android.text.SpannableStringBuilder
import android.util.AttributeSet
import android.view.View
import android.widget.FrameLayout
import android.widget.TextView
import com.alpha.lagouapk.R
import com.lagou.commonlibs.utils.StringUtil
import com.lagou.commonlibs.utils.VerticalCenterImageSpan
import com.lagou.lagouee.bean.PositionManagerBean
import com.lagou.lagouee.utils.DataServer
import com.lagou.lagouee.utils.IntentUtils

class PositionManagerTemplateCard @JvmOverloads constructor(
    context: Context,
    attr: AttributeSet? = null,
    defStyleResId: Int = 0
) : FrameLayout(context, attr, defStyleResId),View.OnClickListener {
    private var tvPositionName:TextView
    private var tvPositionInfo:TextView
    private var tvSee:TextView
    private var positionTemplateId:String? = null
    init {
        inflate(context, R.layout.card_position_manage_template, this)
        tvPositionName = findViewById(R.id.tv_template_position_name)
        tvPositionInfo = findViewById(R.id.tv_template_position_info)
        tvSee = findViewById(R.id.tv_template_position_see)
        tvSee.setOnClickListener(this)
        setOnClickListener { tvSee.performClick() }
    }

    override fun onClick(v: View?) {
        when(v?.id){
            R.id.tv_template_position_see -> {
                IntentUtils.startReleaseFromTemplate(context,positionTemplateId)
            }
        }
    }

    fun refreshView(positionInfoBean: PositionManagerBean.PositionsBean.PositionManagerInfoBean?) {
        positionInfoBean?.let { bean ->
            positionTemplateId = bean.id
            tvPositionName.text = bean.positionName
            val builder = SpannableStringBuilder()
            VerticalCenterImageSpan.inject(context, builder,
                R.drawable.shape_transparent,
                bean.city,
                bean.workYear,
                bean.education,
                DataServer.getSalaryText(bean.salary, bean.salaryMonth)
            )
            tvPositionInfo.text = builder
        }
    }

}