package com.lagou.lagouee.ui.settled.utils

import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.lagouee.ui.settled.SettledMaterialType

/**
 * @date： Crate by wangjunwei on 2023/2/17
 * @description：入住相关埋点汇总
 */
class SettledAnalyticUtils {
    companion object {

        /***
         * 创建公司顶部跳过按钮点击
         */
        fun createCompanyJumpClick(){
            val clickInfo = ClickInfo()
            clickInfo.address_id = "d1tbg"
            clickInfo.addClick_props("isRegist", true)
            AnalyticHelper.getInstance().sendClickInfo(clickInfo)
        }

        /***
         * 创建公司去浏览职位按钮点击
         */
        fun createCompanyBrowsePositionClick(){
            val clickInfo = ClickInfo()
            clickInfo.address_id = "m1u4w"
            clickInfo.addClick_props("isRegist", true)
            AnalyticHelper.getInstance().sendClickInfo(clickInfo)
        }

        /**
         * 普通用人单位营业执照 + 在职证明点击
         */
        fun licenseOnJobClick(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("1qc9", isCreated, isHunter, SettledMaterialType.LICENSE_JOB)
        }
        /**
         * 普通用人单位营业执照 + 企微点击
         */
        fun licenseQWeiClick(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("j1u4u", isCreated, isHunter, SettledMaterialType.LICENSE_QIWEI)
        }
        /**
         * 普通用人单位营业执照 + 飞书点击
         */
        fun licenseFeiShuClick(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("k1u4v", isCreated, isHunter, SettledMaterialType.LICENSE_FEISHU)
        }


        /**
         * 营业执照+在职证明 下载简历模板点击埋点
         */
        fun downloadModelLicenseOnJob(isCreated: Boolean, isHunter: Boolean, authType: Int){
            settledCommonClick("1qcc", isCreated, isHunter, authType)
        }

        /***
         * 营业执照+企业微信 企业微信名片示例点击
         */
        fun qWeiMaterialExample(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("e1u4p", isCreated, isHunter, SettledMaterialType.LICENSE_QIWEI)
        }

        /***
         * 营业执照+企业微信 企业微信如何获取点击
         */
        fun qWeiMaterialGet(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("f1u4q", isCreated, isHunter, SettledMaterialType.LICENSE_QIWEI)
        }

        /***
         * 营业执照+飞书名片 飞书名片示例点击
         */
        fun feiShuMaterialExample(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("h1u4s", isCreated, isHunter, SettledMaterialType.LICENSE_FEISHU)
        }

        /***
         * 营业执照+飞书名片 飞书名片如何获取点击
         */
        fun feiShuMaterialGet(isCreated: Boolean, isHunter: Boolean){
            settledCommonClick("i1u4t", isCreated, isHunter, SettledMaterialType.LICENSE_FEISHU)
        }


        /**
         * 设计验优化：入住流程材料相关点击埋点
         * aid 埋点aid
         * isCreated true新建公司，false加入公司
         * isHunter true猎头，false普通公司
         * authType 0 执照+在职,1 执照+企微,2 执照+飞书
         */
       private fun settledCommonClick(aid: String, isCreated: Boolean, isHunter: Boolean, authType: Int){
            val clickInfo = ClickInfo()
            clickInfo.address_id = aid
            clickInfo.addClick_props("isRegist", isCreated)
            clickInfo.addClick_props("isHunter", isHunter)
            clickInfo.addClick_props("authType", authType)
            AnalyticHelper.getInstance().sendClickInfo(clickInfo)
        }

    }
}