package com.lagou.lagouee.widget.session

import android.content.Context
import android.text.TextUtils
import android.util.AttributeSet
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.UserHeadUtils
import com.common.chat.SessionListShownUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.chat.chatlibrary.bean.ConversationBean
import com.lagou.chat.chatlibrary.bean.SimilarTalentSession
import com.lagou.chat.chatlibrary.view.EmojiconTextView
import com.lagou.commonlibs.utils.ListUtil
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.utils.IntentUtils
import com.lagou.lagouee.widget.business.InterestedTalentPhotoView

/**
 * B端猜你喜欢Session
 */
class SimilarTalentSessionView @JvmOverloads constructor(context: Context, attr: AttributeSet? = null, defStyleResId: Int = 0): BaseSessionView(context,attr,defStyleResId){
    private var ivAvatar: ImageView = findViewById(R.id.iv_conversation_logo)
    private var tvTitle: TextView = findViewById(R.id.tv_title)
    private var tvMessage: EmojiconTextView = findViewById(R.id.tv_message)
    private var dividerView: View = findViewById(R.id.divider_bottom)
    private var viewRoot: View = findViewById(R.id.session_similar_root)
    private var photoView: InterestedTalentPhotoView = findViewById(R.id.view_head_photo)

    override fun getContentLayoutId(): Int = R.layout.layout_b_session_similar

    override fun bindData(bean: ConversationBean?, isLast: Boolean) {
        if (bean == null) {
            visibility = GONE
            return
        }
        visibility = VISIBLE
        viewRoot.setBackgroundResource(if (bean.isTop) R.color.color_f7fdfc else R.drawable.item_list_click_bg)
        dividerView.visibility = if (isLast) View.GONE else View.VISIBLE
        UserHeadUtils.setUserHeader(ivAvatar, bean.icon)
        setTvAutoShowByText(tvTitle,bean.titleFirst)
        SessionListShownUtils.setLastMessage(bean, tvMessage)
        setPhotos(bean)
        mTvTopAction.text = ResourceUtils.getString(if (bean.isTop) R.string.message_list_unpin else R.string.message_list_pin)
    }

    private fun setPhotos(bean: ConversationBean) {
        //猜你喜欢
        val photos = SimilarTalentSession.getPhotosByMsgContent(bean.attachmentStr)
        if (!ListUtil.isEmpty(photos)) {
            photoView.visibility = VISIBLE
            photoView.setSimilarTalentPhoto(photos)
            return
        }
        photoView.visibility = GONE
    }

    override fun onSessionClick(bean: ConversationBean, position: Int) {
        super.onSessionClick(bean, position)

        //猜你喜欢
        AnalyticHelper.getInstance().sendClickInfo("c1suf")
        val schemaUrl = bean.extendData
        if (TextUtils.isEmpty(schemaUrl)) {
            IntentUtils.startMaybeLikeCandidateListActivity(context)
            return
        }
        IntentUtils.startLagouWebViewActivity(context, schemaUrl)
    }
}